import { PrimaryKeyValue as PrimaryKeyValue_internal } from "./PrimaryKeyValue";
/**
 * A primary key value.
*/
export declare class IgcPrimaryKeyValue {
    protected _implementation: any;
    readonly i: PrimaryKeyValue_internal;
    private onImplementationCreated;
    constructor(primaryKey?: string[], primaryKeyValue?: any[]);
    protected _provideImplementation(i: any): void;
    static createIdentityKey(item: any): IgcPrimaryKeyValue;
    /**
 * The primary key associated with this value.
*/
    key: string[];
    /**
     * The value of the keys for this primary key value.
    */
    value: any[];
    findByName(name: string): any;
    /**
 * Determines if two primary key values are equal.

* @param other  * The other key value to check against.
*/
    equals(other: any): boolean;
}
